/**
 * Copyright (c) 2010 Perforce Software. All rights reserved.
 */
package com.perforce.maven.scm.provider.p4.repository;

import org.apache.maven.scm.provider.ScmProviderRepositoryWithHost;

/**
 * This class will contain all SCM information about your SCM connection (user,
 * password, host, port, path...).
 */
public class P4ScmProviderRepository extends ScmProviderRepositoryWithHost {

    /** The path. */
    private String path;

    /**
     * Instantiates a new p4 scm provider repository.
     * 
     * @param host
     *            the host
     * @param port
     *            the port
     * @param path
     *            the path
     * @param user
     *            the user
     * @param password
     *            the password
     */
    public P4ScmProviderRepository(String host, int port, String path,
            String user, String password) {
        setHost(host);

        setPort(port);

        this.path = path;

        setUser(user);

        setPassword(password);
    }

    /**
     * Gets the path.
     * 
     * @return the path
     */
    public String getPath() {
        return path;
    }
}
